# Uses of Class
org.apache.lucene.codecs.SegmentInfoFormat

Packages that use SegmentInfoFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

- ## Uses of SegmentInfoFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return SegmentInfoFormat
  Modifier and Type
  Method
  Description
  `abstract SegmentInfoFormat`
  Codec.`segmentInfoFormat()`
  Encodes/decodes segment info file
  `SegmentInfoFormat`
  FilterCodec.`segmentInfoFormat()`

- ## Uses of SegmentInfoFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return SegmentInfoFormat
  Modifier and Type
  Method
  Description
  `final SegmentInfoFormat`
  Lucene103Codec.`segmentInfoFormat()`

- ## Uses of SegmentInfoFormat in org.apache.lucene.codecs.lucene99

  Subclasses of SegmentInfoFormat in org.apache.lucene.codecs.lucene99
  Modifier and Type
  Class
  Description
  `class`
  `Lucene99SegmentInfoFormat`
  Lucene 9.9 Segment info format.